Bug 1565622 - [RFE][networking-ansible] Create networking-ansible ML2 Driver
Summary: [RFE][networking-ansible] Create networking-ansible ML2 Driver
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-networking-ansible
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M3
: 14.0 (Rocky)
Assignee: Dan Radez
QA Contact: Arkady Shtempler
URL: https://github.com/openstack/networki...
Whiteboard:
Depends On:
Blocks: 1381612 1562171
TreeView+ depends on / blocked
 
Reported: 2018-04-10 12:45 UTC by Dan Radez
Modified: 2019-06-20 18:35 UTC (History)
16 users (show)

Fixed In Version: python-networking-ansible-1.0.4-5.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-11 11:49:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
Git repo: Main body of code for this RFE (48 bytes, text/plain)
2018-07-11 15:32 UTC, Dan Radez
no flags Details
Install networking-ansible ML2 driver in neutron base images (40 bytes, patch)
2018-07-11 15:48 UTC, Dan Radez
no flags Details | Diff
Add networking-ansible ml2 plugin support to puppet-neutron (40 bytes, patch)
2018-07-11 15:49 UTC, Dan Radez
no flags Details | Diff
Add manifest for networking_ansible ML2 plugin to puppet-tripleo (40 bytes, patch)
2018-07-11 15:50 UTC, Dan Radez
no flags Details | Diff
Install python2-networking-ansible in neutron-server in tripleo-common (40 bytes, patch)
2018-07-11 15:54 UTC, Dan Radez
no flags Details | Diff
Add networking-ansible ML2 plugin support in THT (40 bytes, patch)
2018-07-11 15:55 UTC, Dan Radez
no flags Details | Diff
Add scenario 012 - overlcoud baremetal+ansible-ml2 to THT (40 bytes, patch)
2018-07-11 17:04 UTC, Dan Radez
no flags Details | Diff
Add featureset 054 - overcloud baremetal+ansible-ml2 to oooq (40 bytes, patch)
2018-07-11 17:05 UTC, Dan Radez
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
OpenStack Storyboard 2002149 0 None None None 2018-06-04 14:46:18 UTC
OpenStack gerrit 576090 0 None MERGED Install networking-ansible ML2 driver in neutron base images 2020-04-20 19:02:13 UTC
OpenStack gerrit 576093 0 None MERGED Install python2-networking-ansible in neutron-server 2020-04-20 19:02:13 UTC
OpenStack gerrit 577073 0 None MERGED Add networking-ansible ml2 plugin support 2020-04-20 19:02:13 UTC
OpenStack gerrit 577074 0 None MERGED Add manifest for networking_ansible ML2 plugin 2020-04-20 19:02:13 UTC
OpenStack gerrit 577620 0 None MERGED Add networking-ansible ML2 plugin support 2020-04-20 19:02:13 UTC
OpenStack gerrit 581420 0 None MERGED Fix dependency cycle in networking-ansible plugin manifest 2020-04-20 19:02:13 UTC
OpenStack gerrit 583900 0 None MERGED Check for neutron_plugin_ml2_ansible service when including plugin 2020-04-20 19:02:13 UTC
Red Hat Product Errata RHEA-2019:0045 0 None None None 2019-01-11 11:49:45 UTC

Description Dan Radez 2018-04-10 12:45:47 UTC
Create networking-ansible to enable a common interface to baremetal network management for neuron.

This ML2 Mech driver will use Ansible runner as an interface to Ansible networking to provide compatibility for neutron to switch types that Ansible networking provides.

Comment 2 Dan Radez 2018-07-11 15:32:59 UTC
Created attachment 1458139 [details]
Git repo: Main body of code for this RFE

also accessible at http://git.openstack.org/cgit/openstack/networking-ansible/

Comment 3 Dan Radez 2018-07-11 15:48:20 UTC
Created attachment 1458147 [details]
Install networking-ansible ML2 driver in neutron base images

Comment 4 Dan Radez 2018-07-11 15:49:17 UTC
Created attachment 1458149 [details]
Add networking-ansible ml2 plugin support to puppet-neutron

Comment 5 Dan Radez 2018-07-11 15:50:13 UTC
Created attachment 1458151 [details]
Add manifest for networking_ansible ML2 plugin to puppet-tripleo

Comment 6 Dan Radez 2018-07-11 15:54:50 UTC
Created attachment 1458154 [details]
Install python2-networking-ansible in neutron-server in tripleo-common

Comment 7 Dan Radez 2018-07-11 15:55:53 UTC
Created attachment 1458155 [details]
Add networking-ansible ML2 plugin support in THT

Comment 8 Dan Radez 2018-07-11 17:04:19 UTC
Created attachment 1458187 [details]
Add scenario 012 - overlcoud baremetal+ansible-ml2 to THT

Comment 9 Dan Radez 2018-07-11 17:05:08 UTC
Created attachment 1458188 [details]
Add featureset 054 - overcloud baremetal+ansible-ml2 to oooq

Comment 15 errata-xmlrpc 2019-01-11 11:49:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0045


Note You need to log in before you can comment on or make changes to this bug.